sa-update configuration pre rules - SpamAssassin

This is a discussion on sa-update configuration pre rules - SpamAssassin ; I'm trying to use sa-update for the first time, but I am getting some errors. I hope you gurus can help. I believe the root of my problem is that sa-update is looking for my *.pre rules in /etc/mail/spamassassin. But ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: sa-update configuration pre rules

  1. sa-update configuration pre rules

    I'm trying to use sa-update for the first time, but I am getting some
    errors. I hope you gurus can help.

    I believe the root of my problem is that sa-update is looking for my
    *.pre rules in /etc/mail/spamassassin. But my rules are not there. And
    I don't see a command line option to tell sa-update to look somewhere
    else (like the --siteconfigpath option for the spamassassin command). I
    do not have access to my /etc directory, so moving my rules there is not
    an option. Am I missing something in the sa-update command that will
    get me going?

    Cheers!
    Skip

    peloruso@pelorus.org [~]# sa-update --updatedir
    /home/peloruso/.spamassassin/ \
    --gpghomedir .spamassassin/ --gpgkey 6C6191E3 --channel
    sought.rules.yerp.org \
    --channel updates.spamassassin.org -D
    [5217] dbg: logger: adding facilities: all
    [5217] dbg: logger: logging level is DBG
    [5217] dbg: generic: SpamAssassin version 3.2.4
    [5217] dbg: config: score set 0 chosen.
    [5217] dbg: dns: no ipv6
    [5217] dbg: dns: is Net:NS::Resolver available? yes
    [5217] dbg: dns: Net:NS version: 0.63
    [5217] dbg: generic: sa-update version svn607589
    [5217] dbg: generic: using update directory: /home/peloruso/.spamassassin/
    [5217] dbg: diag: perl platform: 5.008008 linux
    [5217] dbg: diag: module installed: Digest::SHA1, version 2.11
    [5217] dbg: diag: module installed: HTML::Parser, version 3.56
    [5217] dbg: diag: module installed: Net:NS, version 0.63
    [5217] dbg: diag: module installed: MIME::Base64, version 3.07
    [5217] dbg: diag: module installed: DB_File, version 1.815
    [5217] dbg: diag: module installed: Net::SMTP, version 2.31
    [5217] dbg: diag: module installed: Mail::SPF, version v2.005
    [5217] dbg: diag: module installed: Mail::SPF::Query, version 1.999001
    [5217] dbg: diag: module installed: IP::Country::Fast, version 604.001
    [5217] dbg: diag: module not installed: Razor2::Client::Agent ('require'
    failed)
    [5217] dbg: diag: module not installed: Net::Ident ('require' failed)
    [5217] dbg: diag: module not installed: IO::Socket::INET6 ('require' failed)
    [5217] dbg: diag: module installed: IO::Socket::SSL, version 1.14
    [5217] dbg: diag: module installed: Compress::Zlib, version 2.001
    [5217] dbg: diag: module installed: Time::HiRes, version 1.9715
    [5217] dbg: diag: module installed: Mail:omainKeys, version 1.0
    [5217] dbg: diag: module installed: Mail:KIM, version 0.32
    [5217] dbg: diag: module installed: DBI, version 1.605
    [5217] dbg: diag: module installed: Getopt::Long, version 2.37
    [5217] dbg: diag: module installed: LWP::UserAgent, version 5.810
    [5217] dbg: diag: module installed: HTTP:ate, version 5.810
    [5217] dbg: diag: module installed: Archive::Tar, version 1.38
    [5217] dbg: diag: module installed: IO::Zlib, version 1.09
    [5217] dbg: diag: module installed: Encode:etect, version 1.01
    [5217] dbg: gpg: adding key id 6C6191E3
    [5217] dbg: gpg: Searching for 'gpg'
    [5217] dbg: util: current PATH is:
    /ramdisk/bin:/ramdisk/bin:/usr/kerberos/bin:/usr/lib/courier-imap/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/X11R6/bin:/home/peloruso/bin:/home/peloruso/usr/bin
    [5217] dbg: util: executable for gpg was found at /usr/bin/gpg
    [5217] dbg: gpg: found /usr/bin/gpg
    [5217] dbg: gpg: release trusted key id list:
    5E541DC959CB8BAC7C78DFDC4056A61A5244EC45
    26C900A46DD40CD5AD24F6D7DEE01987265FA05B
    0C2B1D7175B852C64B3CDC716C55397824F434CE 6C6191E3
    [5217] dbg: channel: attempting channel sought.rules.yerp.org
    [5217] dbg: channel: update directory
    /home/peloruso/.spamassassin/sought_rules_yerp_org
    [5217] dbg: channel: channel cf file
    /home/peloruso/.spamassassin/sought_rules_yerp_org.cf
    [5217] dbg: channel: channel pre file
    /home/peloruso/.spamassassin/sought_rules_yerp_org.pre
    [5217] dbg: dns: 4.2.3.sought.rules.yerp.org => 682080, parsed as 682080
    [5217] dbg: channel: preparing temp directory for new channel
    [5217] dbg: generic: update tmp directory /tmp/.spamassassin5217OxWvR5tmp
    [5217] dbg: generic: lint checking site pre files once before attempting
    channel updates
    [5217] dbg: generic: SpamAssassin version 3.2.4
    [5217] dbg: config: score set 0 chosen.
    [5217] dbg: dns: no ipv6
    [5217] dbg: dns: is Net:NS::Resolver available? yes
    [5217] dbg: dns: Net:NS version: 0.63
    [5217] dbg: ignore: using a test message to lint rules
    [5217] dbg: config: using "/etc/mail/spamassassin" for site rules pre files
    [5217] dbg: config: using "/tmp/.spamassassin5217OxWvR5tmp/doesnotexist"
    for sys rules pre files
    [5217] dbg: config: using "/tmp/.spamassassin5217OxWvR5tmp/doesnotexist"
    for default rules dir
    [5217] dbg: config: using
    "/tmp/.spamassassin5217OxWvR5tmp/doesnotexist/doesnotexist" for user
    prefs file
    config: no configuration text or files found! please check your setup
    [5217] dbg: conf: finish parsing
    [5217] dbg: config: score set 0 chosen.
    [5217] dbg: message: main message type: text/plain
    [5217] dbg: message: ---- MIME PARSER START ----
    [5217] dbg: message: parsing normal part
    [5217] dbg: message: ---- MIME PARSER END ----
    check: no loaded plugin implements 'check_main': cannot scan! at
    /usr/lib/perl5/site_perl/5.8.8/Mail/SpamAssassin/PerMsgStatus.pm line 164.

    --
    Get my PGP Public key here:
    http://pelorus.org/skip@pelorus.org_public_key.asc


  2. Re: sa-update configuration pre rules

    Skip wrote:
    > I'm trying to use sa-update for the first time, but I am getting some
    > errors. I hope you gurus can help.
    >
    > I believe the root of my problem is that sa-update is looking for my
    > *.pre rules in /etc/mail/spamassassin. But my rules are not there.
    > And I don't see a command line option to tell sa-update to look
    > somewhere else (like the --siteconfigpath option for the spamassassin
    > command). I do not have access to my /etc directory, so moving my
    > rules there is not an option. Am I missing something in the sa-update
    > command that will get me going?
    >

    Sounds like you really need to rebuild spamassassin and provide the
    Makefile.pl all the right paths. That way you don't need to explicitly
    specify directories all the time, SA will already know the right
    directories to look in.

    Read the "Installing SpamAssassin for Personal Use (Not System-Wide)"
    section of the INSTALL file. Pay particular attention to this part:

    perl Makefile.PL PREFIX=$HOME

    INSTALL is included in the tarball, or can be found here:

    http://svn.apache.org/repos/asf/spam...es/3.2/INSTALL


+ Reply to Thread